# Wagtail 4.2 release notes - IN DEVELOPMENT

_Unreleased_

```{contents}
---
local:
depth: 1
---
```

## What's new


### Other features

 * Add custom permissions section to permissions documentation page (Dan Hayden)
 * Wagtail's documentation (v2.9 to v4.0) has been updated on [Dash user contributions](https://github.com/Kapeli/Dash-User-Contributions) for [Dash](https://kapeli.com/dash) or [Zeal](https://zealdocs.org/) offline docs applications (Damilola Oladele, (Mary Ayobami)
 * Switch to using [Willow](https://github.com/wagtail/Willow/) instead of Pillow for images (Darrel O'Pry)
 * Add documentation for how to get started with [contributing translations](contributing_translations) for the Wagtail admin (Ogunbanjo Oluwadamilare)
 * Test assertion [`WagtailPageTestCase.assertCanCreate`](testing_reference) now supports the kwarg `publish=True` to check publish redirection (Harry Percival, Akua Dokua Asiedu)
 * Upgrade to Node 18 for frontend build tooling (LB (Ben) Johnston)
 * Officially recommend `fnm` over `nvm` in development documentation (LB (Ben) Johnston)
 * Mention the importance of passing `request` and `current_site` to `get_url` on the [performance](performance) documentation page (Jake Howard)

### Bug fixes

 * Make sure workflow timeline icons are visible in high-contrast mode (Loveth Omokaro)
 * Ensure authentication forms (login, password reset) have a visible border in Windows high-contrast mode (Loveth Omokaro)
 * Ensure visual consistency between buttons and links as buttons in Windows high-contrast mode (Albina Starykova)
 * Ensure `ChooserBlock.extract_references` uses the model class, not the model string (Alex Tomkins)
 * Incorrectly formatted link in the documentation for Wagtail community support (Bolarinwa Comfort Ajayi)
 * Ensure logo shows correctly on log in page in Windows high-contrast mode (Loveth Omokaro)

## Upgrade considerations

### Wagtail-specific image field (`WagtailImageField`)

The `AbstractImage` and `AbstractRendition` models use a Wagtail-specific `WagtailImageField` which extends Django's `ImageField` 
to use [Willow](https://github.com/wagtail/Willow/) for image file handling. This will generate a new migration if you 
are using a [custom image model](custom_image_model)
